@import "../../../../assets/utils";
@import "../../commonFormElement";

.container {
  position: relative;
}

.value {
  @include input;

  &.isValid {
    .singleValue, .tag {
      color: $color-success;
    }
  }

  &.isInvalid {
    .singleValue, .tag {
      color: $color-warning;
    }
  }
}

.iconWithClearer {
  right: 30px;
}

.input {
  flex-grow: 1;

  &.isDisabled {
    + .icon {
      cursor: not-allowed;
    }
  }
}

.sideButton {
  @include clearButton;
  transition: transform .15s;
  transform: rotateX(180deg);
}

.sideButtonActive {
  transform: rotate(0);
}

.field {
  @include field;
}

.before {
  @include before
}

.after {
  @include after
}

.center {
  display: flex;
  align-items: flex-start;
  max-width: calc(100% - 15px);
}

.tags {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  max-width: 100%;
  margin: -2px;
}

.tag {
  border: 1px solid #B4B4B4;
  height: 18px;
  padding: 0 3px;
  border-radius: 2px;
  display: flex;
  align-items: center;
  color: #333333;

  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;

  cursor: pointer;
  transition: border-color .15s, color .15s;

  margin: 2px;

  &:hover {
    border-color: #0E69AF;
  }
}

.query {
  margin-left: 4px;
}

.singleValue {
  height: 18px;
  line-height: 18px;

  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  margin-right: 6px;

  //display: flex;
  //align-items: center;
  color: #333333;
  transition: color .15s;
}

.popup {
  position: fixed;
  z-index: 100;

  transition: opacity .15s, visibility .15s, transform .15s;

  &:not(&IsFocused) {
    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);
  }
}

.options {
  background: #FFFFFF;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
  padding: 16px 0;
}

.option {
  padding: 6px 20px 6px 34px;
  cursor: pointer;
  transition: background .1s;
  position: relative;
  user-select: none;

  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;

  &:hover {
    background: transparentize(#333333, .9);
  }
}

.optionSelectedIcon {
  position: absolute;
  left: 12px;
  top: 50%;
  transform: translateY(-50%);
  color: #333333;
}

.placeholder {
  height: 18px;
  opacity: .7;
  display: flex;
  align-items: center;
}

.optionText {
  overflow: hidden;
  text-overflow: ellipsis;
}

.optionMarquee {
  display: inline-block;
}